Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezGreenLook.looknfeel	(revision 11792)
@@ -3859,35 +4644,33 @@
         <NamedArea name="HasPopupContentSize">
             <Area>
-                <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
                 <Dim type="Width">
-                    <FontDim type="HorzExtent">
-                        <DimOperator op="Add">
-                            <ImageDim imageset="TaharezGreenLook" image="MenuLeft" dimension="Width">
-                                <DimOperator op="Add">
-                                    <ImageDim imageset="TaharezGreenLook" image="MenuRight" dimension="Width">
-                                        <DimOperator op="Add">
-                                            <ImageDim imageset="TaharezGreenLook" image="PopupMenuArrowLeft" dimension="Width">
-                                                <DimOperator op="Multiply">
-                                                    <AbsoluteDim value="3" />
-                                                </DimOperator>
-                                            </ImageDim>
-                                        </DimOperator>
-                                    </ImageDim>
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </FontDim>
+                    <OperatorDim op="Add">
+                        <FontDim type="HorzExtent" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Width" name="TaharezGreenLook/MenuLeft" />
+                            <OperatorDim op="Add">
+                                <ImageDim dimension="Width" name="TaharezGreenLook/MenuRight" />
+                                <OperatorDim op="Multiply">
+                                    <ImageDim dimension="Width" name="TaharezGreenLook/PopupMenuArrowLeft" />
+                                    <AbsoluteDim value="3" />
+                                </OperatorDim>
+                            </OperatorDim>
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
                 <Dim type="Height">
-                    <FontDim type="LineSpacing">
-                        <DimOperator op="Add">
-                            <ImageDim imageset="TaharezGreenLook" image="MenuTop" dimension="Height">
-                                <DimOperator op="Add">
-                                    <ImageDim imageset="TaharezGreenLook" image="MenuBottom" dimension="Height" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </FontDim>
+                    <OperatorDim op="Add">
+                        <FontDim type="LineSpacing" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Height" name="TaharezGreenLook/MenuTop" />
+                            <ImageDim dimension="Height" name="TaharezGreenLook/MenuBottom" />
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -3896,19 +4679,21 @@
             <TextComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="TaharezGreenLook" image="MenuLeft" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><ImageDim imageset="TaharezGreenLook" image="MenuTop" dimension="Height" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezGreenLook" image="MenuRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezGreenLook" image="MenuBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="TaharezGreenLook/MenuLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="TaharezGreenLook/MenuTop" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="TaharezGreenLook/MenuRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="TaharezGreenLook/MenuBottom" />
+                        </OperatorDim>
                     </Dim>
                 </Area>
@@ -3920,18 +4705,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="MenuTopLeft" />
-                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="MenuTopRight" />
-                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="MenuBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="MenuBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="MenuLeft" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="MenuRight" />
-                <Image type="TopEdge" imageset="TaharezGreenLook" image="MenuTop" />
-                <Image type="BottomEdge" imageset="TaharezGreenLook" image="MenuBottom" />
-                <Image type="Background" imageset="TaharezGreenLook" image="MenuMiddle" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="TaharezGreenLook/MenuTopLeft" />
+                <Image component="TopRightCorner" name="TaharezGreenLook/MenuTopRight" />
+                <Image component="BottomLeftCorner" name="TaharezGreenLook/MenuBottomLeft" />
+                <Image component="BottomRightCorner" name="TaharezGreenLook/MenuBottomRight" />
+                <Image component="LeftEdge" name="TaharezGreenLook/MenuLeft" />
+                <Image component="RightEdge" name="TaharezGreenLook/MenuRight" />
+                <Image component="TopEdge" name="TaharezGreenLook/MenuTop" />
+                <Image component="BottomEdge" name="TaharezGreenLook/MenuBottom" />
+                <Image component="Background" name="TaharezGreenLook/MenuMiddle" />
             </FrameComponent>
         </ImagerySection>
@@ -3939,16 +4732,21 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" >
-                        <UnifiedDim scale="1" type="Width">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezGreenLook" image="PopupMenuArrowRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezGreenLook" image="PopupMenuArrowRight" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Width" />
+                            <ImageDim dimension="Width" name="TaharezGreenLook/PopupMenuArrowRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezGreenLook/PopupMenuArrowRight" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="RightAligned" />
@@ -3958,16 +4756,21 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" >
-                        <UnifiedDim scale="1" type="Width">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezGreenLook" image="PopupMenuArrowLeft" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezGreenLook" image="PopupMenuArrowLeft" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Width" />
+                            <ImageDim dimension="Width" name="TaharezGreenLook/PopupMenuArrowLeft" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezGreenLook/PopupMenuArrowLeft" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="RightAligned" />
@@ -4021,5 +4824,5 @@
             <Layer>
                 <Section section="frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
                 <Section section="label">
@@ -4031,5 +4834,5 @@
             <Layer>
                 <Section section="frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
                 <Section section="label">
@@ -4041,5 +4844,5 @@
             <Layer>
                 <Section section="frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
                 <Section section="label">
@@ -4059,50 +4862,38 @@
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezGreenLook/PopupMenu
-    ***************************************************
-    -->
     <WidgetLook name="TaharezGreenLook/PopupMenu">
-        <PropertyDefinition name="BackgroundColours" initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="BorderWidth" initialValue="0" layoutOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" name="BackgroundColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="0" layoutOnWrite="true" name="BorderWidth" />
         <NamedArea name="ItemRenderArea">
             <Area>
-                <Dim type="LeftEdge" >
-                    <ImageDim imageset="TaharezGreenLook" image="PopupMenuFrameLeft" dimension="Width">
-                        <DimOperator op="Add">
+                <Dim type="LeftEdge">
+                    <OperatorDim op="Add">
+                        <ImageDim dimension="Width" name="TaharezGreenLook/PopupMenuFrameLeft" />
+                        <PropertyDim name="BorderWidth" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Add">
+                        <ImageDim dimension="Height" name="TaharezGreenLook/PopupMenuFrameTop" />
+                        <PropertyDim name="BorderWidth" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Width" name="TaharezGreenLook/PopupMenuFrameRight" />
                             <PropertyDim name="BorderWidth" />
-                        </DimOperator>
-                    </ImageDim>
-                </Dim>
-                <Dim type="TopEdge" >
-                    <ImageDim imageset="TaharezGreenLook" image="PopupMenuFrameTop" dimension="Height">
-                        <DimOperator op="Add">
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Height" name="TaharezGreenLook/PopupMenuFrameBottom" />
                             <PropertyDim name="BorderWidth" />
-                        </DimOperator>
-                    </ImageDim>
-                </Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezGreenLook" image="PopupMenuFrameRight" dimension="Width">
-                                <DimOperator op="Add">
-                                    <PropertyDim name="BorderWidth" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezGreenLook" image="PopupMenuFrameBottom" dimension="Height">
-                                <DimOperator op="Add">
-                                    <PropertyDim name="BorderWidth" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -4111,18 +4902,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="PopupMenuFrameTopLeft" />
-                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="PopupMenuFrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="PopupMenuFrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="PopupMenuFrameBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="PopupMenuFrameLeft" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="PopupMenuFrameRight" />
-                <Image type="TopEdge" imageset="TaharezGreenLook" image="PopupMenuFrameTop" />
-                <Image type="BottomEdge" imageset="TaharezGreenLook" image="PopupMenuFrameBottom" />
-                <Image type="Background" imageset="TaharezGreenLook" image="PopupMenuMiddle" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="TaharezGreenLook/PopupMenuFrameTopLeft" />
+                <Image component="TopRightCorner" name="TaharezGreenLook/PopupMenuFrameTopRight" />
+                <Image component="BottomLeftCorner" name="TaharezGreenLook/PopupMenuFrameBottomLeft" />
+                <Image component="BottomRightCorner" name="TaharezGreenLook/PopupMenuFrameBottomRight" />
+                <Image component="LeftEdge" name="TaharezGreenLook/PopupMenuFrameLeft" />
+                <Image component="RightEdge" name="TaharezGreenLook/PopupMenuFrameRight" />
+                <Image component="TopEdge" name="TaharezGreenLook/PopupMenuFrameTop" />
+                <Image component="BottomEdge" name="TaharezGreenLook/PopupMenuFrameBottom" />
+                <Image component="Background" name="TaharezGreenLook/PopupMenuMiddle" />
             </FrameComponent>
         </ImagerySection>
@@ -4137,56 +4936,43 @@
             <Layer>
                 <Section section="frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        TaharezGreenLook/Menubar
-    ***************************************************
-    -->
     <WidgetLook name="TaharezGreenLook/Menubar">
-        <PropertyDefinition name="BackgroundColours" initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="BorderWidth" initialValue="5" layoutOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" name="BackgroundColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="5" layoutOnWrite="true" name="BorderWidth" />
         <NamedArea name="ItemRenderArea">
             <Area>
-                <Dim type="LeftEdge" >
-                    <ImageDim imageset="TaharezGreenLook" image="PopupMenuFrameLeft" dimension="Width">
-                        <DimOperator op="Add">
+                <Dim type="LeftEdge">
+                    <OperatorDim op="Add">
+                        <ImageDim dimension="Width" name="TaharezGreenLook/PopupMenuFrameLeft" />
+                        <PropertyDim name="BorderWidth" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Add">
+                        <ImageDim dimension="Height" name="TaharezGreenLook/PopupMenuFrameTop" />
+                        <PropertyDim name="BorderWidth" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Width" name="TaharezGreenLook/PopupMenuFrameRight" />
                             <PropertyDim name="BorderWidth" />
-                        </DimOperator>
-                    </ImageDim>
-                </Dim>
-                <Dim type="TopEdge" >
-                    <ImageDim imageset="TaharezGreenLook" image="PopupMenuFrameTop" dimension="Height">
-                        <DimOperator op="Add">
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Height" name="TaharezGreenLook/PopupMenuFrameBottom" />
                             <PropertyDim name="BorderWidth" />
-                        </DimOperator>
-                    </ImageDim>
-                </Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezGreenLook" image="PopupMenuFrameRight" dimension="Width">
-                                <DimOperator op="Add">
-                                    <PropertyDim name="BorderWidth" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezGreenLook" image="PopupMenuFrameBottom" dimension="Height">
-                                <DimOperator op="Add">
-                                    <PropertyDim name="BorderWidth" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -4195,18 +4981,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="TaharezGreenLook" image="PopupMenuFrameTopLeft" />
-                <Image type="TopRightCorner" imageset="TaharezGreenLook" image="PopupMenuFrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="TaharezGreenLook" image="PopupMenuFrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezGreenLook" image="PopupMenuFrameBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezGreenLook" image="PopupMenuFrameLeft" />
-                <Image type="RightEdge" imageset="TaharezGreenLook" image="PopupMenuFrameRight" />
-                <Image type="TopEdge" imageset="TaharezGreenLook" image="PopupMenuFrameTop" />
-                <Image type="BottomEdge" imageset="TaharezGreenLook" image="PopupMenuFrameBottom" />
-                <Image type="Background" imageset="TaharezGreenLook" image="PopupMenuMiddle" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="TaharezGreenLook/PopupMenuFrameTopLeft" />
+                <Image component="TopRightCorner" name="TaharezGreenLook/PopupMenuFrameTopRight" />
+                <Image component="BottomLeftCorner" name="TaharezGreenLook/PopupMenuFrameBottomLeft" />
+                <Image component="BottomRightCorner" name="TaharezGreenLook/PopupMenuFrameBottomRight" />
+                <Image component="LeftEdge" name="TaharezGreenLook/PopupMenuFrameLeft" />
+                <Image component="RightEdge" name="TaharezGreenLook/PopupMenuFrameRight" />
+                <Image component="TopEdge" name="TaharezGreenLook/PopupMenuFrameTop" />
+                <Image component="BottomEdge" name="TaharezGreenLook/PopupMenuFrameBottom" />
+                <Image component="Background" name="TaharezGreenLook/PopupMenuMiddle" />
             </FrameComponent>
         </ImagerySection>
@@ -4221,15 +5015,9 @@
             <Layer>
                 <Section section="frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezGreenLook/LargeVerticalScrollbarThumb
-    ***************************************************
-    -->
     <WidgetLook name="TaharezGreenLook/LargeVerticalScrollbarThumb">
         <Property name="VertFree" value="True" />
@@ -4237,10 +5025,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezGreenLook" image="VertScrollThumbNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezGreenLook/VertScrollThumbNormal" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -4250,10 +5046,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezGreenLook" image="VertScrollThumbHover" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezGreenLook/VertScrollThumbHover" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
